Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime.impl
Class ModelQueryParameterValueImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.gmt.modisco.infra.query.runtime.impl.ModelQueryParameterValueImpl

All Implemented Interfaces:
  ModelQueryParameterValue

    public class ModelQueryParameterValueImpl

extends EObjectImpl
implements ModelQueryParameterValue

An implementation of the model object 'Model Query Parameter Value'.

The following features are implemented:

- `Parameter`
- `Value`

Method Summary
`ModelQueryParameter` | `basicGetParameter()`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`ModelQueryParameter` | `getParameter()`
`java.lang.Object` | `getValue()`
`void` | `setParameter(ModelQueryParameter newParameter)`
`void` | `setValue(java.lang.Object newValue)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getParameter

    public ModelQueryParameter getParameter()

  Specified by:
    `getParameter` in interface `ModelQueryParameterValue`
  Returns:
    the value of the 'Parameter' reference.
  See Also:
    `ModelQueryParameterValue.setParameter(ModelQueryParameter)`, `RuntimePackage.getModelQueryParameterValue_Parameter()`

### basicGetParameter

    public ModelQueryParameter basicGetParameter()

### setParameter

    public void setParameter(ModelQueryParameter newParameter)

  Specified by:
    `setParameter` in interface `ModelQueryParameterValue`
  Parameters:
    `newParameter` - the new value of the 'Parameter' reference.
  See Also:
    `ModelQueryParameterValue.getParameter()`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `ModelQueryParameterValue`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `ModelQueryParameterValue.setValue(Object)`, `RuntimePackage.getModelQueryParameterValue_Value()`

### setValue

    public void setValue(java.lang.Object newValue)

  Specified by:
    `setValue` in interface `ModelQueryParameterValue`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `ModelQueryParameterValue.getValue()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD